Attribute VB_Name = "FileFunctions"
''''''''''''''''''''''''''''''''''''''''''''''''''
'  This code is Copyright 2006 Devo-E.com
'
'  You may use this code to help you develope
'  your own programs for the xbox 360's files
'  but please keep this box in tact.
'
'  Overall ... Have Fun!
'
'  Email: wunsick@team-gx.org
'  Website: www.devo-e.com
'
''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function FindFirstFile Lib "kernel32" Alias "FindFirstFileA" (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long

Declare Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long

Public Declare Function SHFileOperation Lib "shell32.dll" Alias "SHFileOperationA" (lpFileOp As Any) As Long

Type FILETIME
  LowDateTime          As Long
  HighDateTime         As Long
End Type
Type WIN32_FIND_DATA
  dwFileAttributes     As Long
  ftCreationTime       As FILETIME
  ftLastAccessTime     As FILETIME
  ftLastWriteTime      As FILETIME
  nFileSizeHigh        As Long
  nFileSizeLow         As Long
  dwReserved0          As Long
  dwReserved1          As Long
  cFileName            As String * 260
  cAlternate           As String * 14
End Type

Private Type SECURITY_ATTRIBUTES
    nLength As Long
    lpSecurityDescriptor As Long
    bInheritHandle As Long
End Type

Public Type SHFILEOPSTRUCT
    hWnd As Long
    wFunc As FO_Functions
    pFrom As String
    pTo As String
    fFlags As FOF_Flags
    fAnyOperationsAborted As Long
    hNameMappings As Long
    lpszProgressTitle As String 'only used if FOF_SIMPLEPROGRESS
End Type

Public Enum FO_Functions
    FO_MOVE = &H1
    FO_COPY = &H2
    FO_DELETE = &H3
    FO_RENAME = &H4
End Enum

Public Enum FOF_Flags
    FOF_MULTIDESTFILES = &H1
    FOF_CONFIRMMOUSE = &H2
    FOF_SILENT = &H4
    FOF_RENAMEONCOLLISION = &H8
    FOF_NOCONFIRMATION = &H10
    FOF_WANTMAPPINGHANDLE = &H20
    FOF_ALLOWUNDO = &H40
    FOF_FILESONLY = &H80
    FOF_SIMPLEPROGRESS = &H100
    FOF_NOCONFIRMMKDIR = &H200
    FOF_NOERRORUI = &H400
    FOF_NOCOPYSECURITYATTRIBS = &H800
    FOF_NORECURSION = &H1000
    FOF_NO_CONNECTED_ELEMENTS = &H2000
    FOF_WANTNUKEWARNING = &H4000
End Enum

Public Function Findfile(strfilename As String) As WIN32_FIND_DATA
Dim Win32Data As WIN32_FIND_DATA
Dim plngFirstFileHwnd As Long
Dim plngRtn As Long

plngFirstFileHwnd = FindFirstFile(strfilename, Win32Data)
If plngFirstFileHwnd = 0 Then
  Findfile.cFileName = "Error"
Else
  Findfile = Win32Data
End If
plngRtn = FindClose(plngFirstFileHwnd)
End Function

Public Function FileExists(sFileName As String) As Boolean

If Len(sFileName$) = 0 Then
    FileExists = False
    Exit Function
End If

If Len(Dir$(sFileName$)) Then
    FileExists = True
Else
    FileExists = False
End If
    
End Function

